Bug 711 - Port 138 'Get Backup List Response' is corrupted in Samba 3.0
Port 138 'Get Backup List Response' is corrupted in Samba 3.0
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: nmbd
3.0.0
All All
: P3 normal
: none
Assigned To: Samba Bugzilla Account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-03 11:52 UTC by darland
Modified: 2005-11-14 09:36 UTC (History)
0 users

See Also:


Attachments
tcpdump of incorrect packet(Samba 3.0) (275 bytes, application/octet-stream)
2003-11-03 11:53 UTC, darland
no flags Details
tcpdump of correct packet(Samba 2.2.8) (275 bytes, application/octet-stream)
2003-11-03 11:54 UTC, darland
no flags Details
Correct packet length. (610 bytes, patch)
2003-11-04 16:12 UTC, Jeremy Allison
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description darland 2003-11-03 11:52:09 UTC
In the Samba 3.0 series the SMB browsing 'Get Backup List Response' packet is corrupt.  The 
packet claims there is more data available than was sent in the NetBIOS datagram. i.e. The sum of 
the SMB header, word parameters and byte data is larger than the amount of data actually sent.  
The 2.2.8 series Samba does not exhibit this bug.
See the attached tcpdumps.
Comment 1 darland 2003-11-03 11:53:31 UTC
Created attachment 233 [details]
tcpdump of incorrect packet(Samba 3.0)
Comment 2 darland 2003-11-03 11:54:03 UTC
Created attachment 234 [details]
tcpdump of correct packet(Samba 2.2.8)
Comment 3 Jeremy Allison 2003-11-04 14:27:21 UTC
Hmmm. Yeah, I can see the problem, but I'm having problems
tracking down the code that's causing this....

Jeremy.
Comment 4 Jeremy Allison 2003-11-04 16:12:19 UTC
Created attachment 238 [details]
Correct packet length.
Comment 5 Jeremy Allison 2003-11-04 16:13:17 UTC
Fixed this with attached patch.
Jeremy.
Comment 6 Gerald (Jerry) Carter 2005-08-24 10:24:08 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 7 Gerald (Jerry) Carter 2005-11-14 09:28:08 UTC
database cleanup